package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_inspect_report
 * 
 * @author wms
 * @date 2022-08-25
 */
@TableName("t_inspect_report")
public class TInspectReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检验记录编号 */
    @TableId(value = "inspectId", type = IdType.ASSIGN_UUID)
    private String inspectid;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("goodsId")
    private String goodsid;

    /** 物料描述 */
    @Excel(name = "物料描述")
    @TableField("goodsName")
    private String goodsname;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("productlotid")
    private String productlotid;

    /** 托盘号 */
    @Excel(name = "托盘号")
    @TableField("ctl")
    private String ctl;

    /** 货位 */
    @Excel(name = "货位")
    @TableField("location")
    private String location;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("productionDate")
    private Date productiondate;

    /** 有效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expirationDate")
    private Date expirationdate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("createTime")
    private Date createtime;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("shelfNum")
    private String shelfnum;

    /** 供应商 */
    @Excel(name = "供应商")
    @TableField("provider")
    private String provider;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /** 操作人员姓名 */
    @Excel(name = "操作人员姓名")
    @TableField("userName")
    private String username;

    public void setInspectid(String inspectid) 
    {
        this.inspectid = inspectid;
    }

    public String getInspectid() 
    {
        return inspectid;
    }
    public void setGoodsid(String goodsid) 
    {
        this.goodsid = goodsid;
    }

    public String getGoodsid() 
    {
        return goodsid;
    }
    public void setGoodsname(String goodsname) 
    {
        this.goodsname = goodsname;
    }

    public String getGoodsname() 
    {
        return goodsname;
    }
    public void setProductlotid(String productlotid) 
    {
        this.productlotid = productlotid;
    }

    public String getProductlotid() 
    {
        return productlotid;
    }
    public void setCtl(String ctl) 
    {
        this.ctl = ctl;
    }

    public String getCtl() 
    {
        return ctl;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setProductiondate(Date productiondate) 
    {
        this.productiondate = productiondate;
    }

    public Date getProductiondate() 
    {
        return productiondate;
    }
    public void setExpirationdate(Date expirationdate) 
    {
        this.expirationdate = expirationdate;
    }

    public Date getExpirationdate() 
    {
        return expirationdate;
    }

    public void setCreateTime(Date createtime)
    {
        this.createtime = createtime;
    }

    public Date getCreateTime()
    {
        return createtime;
    }
    public void setShelfnum(String shelfnum) 
    {
        this.shelfnum = shelfnum;
    }

    public String getShelfnum() 
    {
        return shelfnum;
    }
    public void setProvider(String provider) 
    {
        this.provider = provider;
    }

    public String getProvider() 
    {
        return provider;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectid", getInspectid())
            .append("goodsid", getGoodsid())
            .append("goodsname", getGoodsname())
            .append("productlotid", getProductlotid())
            .append("ctl", getCtl())
            .append("location", getLocation())
            .append("productiondate", getProductiondate())
            .append("expirationdate", getExpirationdate())
            .append("shelfnum", getShelfnum())
            .append("provider", getProvider())
            .append("status", getStatus())
            .append("createtime", getCreateTime())
            .append("username", getUsername())
            .toString();
    }
}
